{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "CPT_LOGIN"; 
            externalType = VARCHAR2; 
            name = cptLogin; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "CPT_ORDRE"; 
            externalType = NUMBER; 
            name = cptOrdre; 
            precision = 22; 
            valueClassName = NSNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPT_PASSWD"; 
            externalType = VARCHAR2; 
            name = cptPasswd; 
            valueClassName = NSString; 
            valueType = S; 
            width = 15; 
        }, 
        {
            columnName = "FOU_CODE"; 
            externalType = VARCHAR2; 
            name = fouCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 6; 
        }, 
        {
            columnName = "FOU_ORDRE"; 
            externalType = NUMBER; 
            name = fouOrdre; 
            precision = 38; 
            valueClassName = NSNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_ID"; 
            externalType = NUMBER; 
            name = persId; 
            precision = 22; 
            valueClassName = NSNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_LC"; 
            externalType = VARCHAR2; 
            name = persLc; 
            valueClassName = NSString; 
            valueType = S; 
            width = 30; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_LIBELLE"; 
            externalType = VARCHAR2; 
            name = persLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 120; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_TYPE"; 
            externalType = VARCHAR2; 
            name = persType; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }
    ); 
    attributesUsedForLocking = (cptOrdre); 
    className = "org.cocktail.fwkcktlwebapp.common.metier.EOVCptFournis"; 
    classProperties = (
        fouCode, 
        persId, 
        persType, 
        persLibelle, 
        persLc, 
        fouOrdre, 
        cptPasswd, 
        cptLogin, 
        cptOrdre
    ); 
    externalName = "GRHUM.V_CPT_FOURNIS"; 
    fetchSpecificationDictionary = {}; 
    name = "FwkCktlWebApp_VCptFournis"; 
    primaryKeyAttributes = (cptOrdre); 
}
